--- chrome/browser/browser_process_impl.cc
+++ chrome/browser/browser_process_impl.cc
@@ -41,7 +41,7 @@
 #include "views/focus/view_storage.h"
 #elif defined(OS_MACOSX)
 #include "chrome/browser/printing/print_job_manager.h"
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
 // TODO(port): Remove the temporary scaffolding as we port the above headers.
 #include "chrome/common/temp_scaffolding_stubs.h"
 #endif
@@ -202,7 +202,7 @@ BrowserProcessImpl::~BrowserProcessImpl() {
     resource_dispatcher_host()->Shutdown();
   }
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // The IO thread must outlive the BACKGROUND_X11 thread.
   background_x11_thread_.reset();
 #endif
@@ -319,7 +319,7 @@ void BrowserProcessImpl::CreateIOThread() {
   // invoke the io_thread() accessor.
   PluginService::GetInstance();
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // The lifetime of the BACKGROUND_X11 thread is a subset of the IO thread so
   // we start it now.
   scoped_ptr<base::Thread> background_x11_thread(
diff --git chrome/browser/browser_process_impl.h chrome/browser/browser_process_impl.h
index ea9efb4..b99fd71 100644
